Page MenuHomePhabricator

Drop old mobile-sections keyspaces
Closed, ResolvedPublic0 Story Points

Description

The following keyspaces need to be dropped:

"commons_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLds"
"commons_T_mobile__ng_lead"
"commons_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_w"
"commons_T_mobile__ng_remaining"
"enwiki_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLds"
"enwiki_T_mobile__ng_lead"
"enwiki_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_w"
"enwiki_T_mobile__ng_remaining"
"others_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLds"
"others_T_mobile__ng_lead"
"others_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_w"
"others_T_mobile__ng_remaining"
"wikipedia_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLd"
"wikipedia_T_mobile__ng_lead"
"wikipedia_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_"
"wikipedia_T_mobile__ng_remaining"

Event Timeline

mobrovac triaged this task as Normal priority.Apr 21 2019, 8:35 PM
mobrovac created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2019, 8:35 PM

Here are the statements:

1###
2## `commons` STORAGE GROUP BLOCK
3###
4
5drop_commons_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLds:
6 statement: |
7 DROP KEYSPACE IF EXISTS "commons_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLds";
8
9drop_commons_T_mobile__ng_lead:
10 statement: |
11 DROP KEYSPACE IF EXISTS "commons_T_mobile__ng_lead";
12
13drop_commons_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_w:
14 statement: |
15 DROP KEYSPACE IF EXISTS "commons_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_w";
16
17drop_commons_T_mobile__ng_remaining:
18 statement: |
19 DROP KEYSPACE IF EXISTS "commons_T_mobile__ng_remaining";
20
21
22###
23## `enwiki` STORAGE GROUP BLOCK
24###
25
26drop_enwiki_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLds:
27 statement: |
28 DROP KEYSPACE IF EXISTS "enwiki_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLds";
29
30drop_enwiki_T_mobile__ng_lead:
31 statement: |
32 DROP KEYSPACE IF EXISTS "enwiki_T_mobile__ng_lead";
33
34drop_enwiki_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_w:
35 statement: |
36 DROP KEYSPACE IF EXISTS "enwiki_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_w";
37
38drop_enwiki_T_mobile__ng_remaining:
39 statement: |
40 DROP KEYSPACE IF EXISTS "enwiki_T_mobile__ng_remaining";
41
42
43###
44## `others` STORAGE GROUP BLOCK
45###
46
47drop_others_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLds:
48 statement: |
49 DROP KEYSPACE IF EXISTS "others_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLds";
50
51drop_others_T_mobile__ng_lead:
52 statement: |
53 DROP KEYSPACE IF EXISTS "others_T_mobile__ng_lead";
54
55drop_others_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_w:
56 statement: |
57 DROP KEYSPACE IF EXISTS "others_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_w";
58
59drop_others_T_mobile__ng_remaining:
60 statement: |
61 DROP KEYSPACE IF EXISTS "others_T_mobile__ng_remaining";
62
63
64###
65## `wikipedia` STORAGE GROUP BLOCK
66###
67
68drop_wikipedia_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLd:
69 statement: |
70 DROP KEYSPACE IF EXISTS "wikipedia_T_mobile__ng3HeqOXXmkYfPizz4RPUR4OLXLd";
71
72drop_wikipedia_T_mobile__ng_lead:
73 statement: |
74 DROP KEYSPACE IF EXISTS "wikipedia_T_mobile__ng_lead";
75
76drop_wikipedia_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_:
77 statement: |
78 DROP KEYSPACE IF EXISTS "wikipedia_T_mobile__ngR6XB1sh6_FFo_mfX4oZA56vpD_";
79
80drop_wikipedia_T_mobile__ng_remaining:
81 statement: |
82 DROP KEYSPACE IF EXISTS "wikipedia_T_mobile__ng_remaining";

Please review.

I cannot speak to the keyspaces being dropped, but the statements LGTM!

Eevans claimed this task.Apr 23 2019, 8:14 PM

Dev environment {{done}}

Mentioned in SAL (#wikimedia-operations) [2019-04-23T20:26:04Z] <urandom> dropping disused restbase keyspaces -- T221530

Eevans closed this task as Resolved.Apr 24 2019, 1:07 AM

Production environment {{done}}